package agent

import "backend-agenter/internal/models"

type Agent interface {
	StartSession(agentUrl string, config *models.Config) error
	StopSession()
	GetQuarantineFiles(config *models.Config) ([]string, error)
	IsFileInQuarantine(config *models.Config) (bool, error)
}
